Welcome!
Important information
-- Spectre and Meltdown vulnerabilities
-- Change in MX sources

News
-- MX Linux on social media: here
-- Mepis support still here

Current releases
-- MX-17.1 Final release info here
-- antiX-17 release info here

New users
-- Please read this first, and don't forget to add system and hardware information to posts!
-- Here are the Forum Rules

changes to repos: mepis-deb.org is gone

Message
Author
jj 5117
Forum Novice
Forum  Novice
Posts: 15
Joined: Sun Aug 07, 2016 1:13 pm

Re: changes to repos: mepis-deb.org is gone

#11 Post by jj 5117 » Thu Jun 28, 2018 9:59 am

I hope that allowing installation of unverified keys was the way to go, w/re to repository changes or whatever other updates required it. ??

This is an MX-15 x64 VM (on win 7 x64).
IF NOT, I'll try to move my stuff over to the latest.
Thanks, all.
MX-15 - desktop - i7-3930k cpu - 64GB ddr3 - Sabertooth x79 mobo - RX480 x2

User avatar
masinick
Forum Regular
Forum Regular
Posts: 566
Joined: Sat May 05, 2007 1:37 am

Re: changes to repos: mepis-deb.org is gone

#12 Post by masinick » Sat Jun 30, 2018 5:50 pm

I had success with the amended changes and the software can be updated correctly as before. Thanks!

User avatar
colin_b
Forum Regular
Forum Regular
Posts: 314
Joined: Sun Mar 19, 2017 7:21 pm

Re: changes to repos: mepis-deb.org is gone

#13 Post by colin_b » Sat Jun 30, 2018 10:21 pm

This probably explains what happened to me a week ago when MX Updater went from 3 packages to 133. I nearly fell off my chair, and assumed I'd done something wrong.

The following is shown in my updater. Am I correct in assuming this is a valid update?

Code: Select all

 The following packages were automatically installed and are no longer required:
     blender-data (2.74+dfsg0-4mx150+1)
     geoclue-2.0 (2.1.10-2)
     libboost-chrono1.55.0 (1.55.0+dfsg-3)
     libboost-date-time1.55.0 (1.55.0+dfsg-3)
     libboost-filesystem1.55.0 (1.55.0+dfsg-3)
     libboost-locale1.55.0 (1.55.0+dfsg-3)
     libboost-random1.55.0 (1.55.0+dfsg-3)
     libboost-regex1.55.0 (1.55.0+dfsg-3)
     libboost-thread1.55.0 (1.55.0+dfsg-3)
     libgphoto2-port10:i386 (2.5.4-1.1+b2)
     libjavascriptcoregtk-1.0-0 (2.4.11-3mx15+1)
     libjs-jquery-ui (1.10.1+dfsg-1)
     libllvm3.8 (3.8.1-4mx150+1)
     libopencolorio1 (1.0.9~dfsg0-3)
     libopenimageio1.4 (1.4.14~dfsg0-1)
     libsbsms10 (2.0.2-1)
     libspnav0 (0.2.2-1)
     libtinyxml2.6.2 (2.6.2-2)
     libvte-common (0.28.2-5)
     libvte9 (0.28.2-5)
     libwebkitgtk-1.0-0 (2.4.11-3mx15+1)
     libwebkitgtk-1.0-common (2.4.11-3mx15+1)
     libyaml-cpp0.3 (0.3.0-1.1)
  Use 'apt-get autoremove' to remove them.
  The following packages will be REMOVED:
     libplank0 (0.10.1-1mx150+1)
     libzlcore0.12 (0.12.10dfsg-9.1+b1)
     libzltext0.12 (0.12.10dfsg-9.1+b1)
     libzlui-qt4 (0.99.4-3mx15+1)
  The following NEW packages will be installed:
     fotoxx-common (17.08.3-0mx15+1)
     libapparmor1 (2.9.0-3)
     liblilv-0-0 (0.20.0~dfsg0-1)
     libllvm3.9 (3.9.1-3mx150+1)
     libnatpmp1 (20110808-3)
     libpcrecpp0 (8.35-3.3+deb8u4)
     libplank1 (0.11.2-1mx150+1)
     libserd-0-0 (0.20.0~dfsg1-1)
     libsord-0-0 (0.12.2~dfsg0-1)
     libsratom-0-0 (0.4.6~dfsg0-1)
     libsuil-0-0 (0.8.2~dfsg0-1)
     libwebkitgtk-1.0-common (2.4.11-3mx15+1)
     libwebkitgtk-3.0-common (2.4.11-3mx15+1)
     libzlcore0.99 (0.99.4-3mx15+1)
     libzltext0.99 (0.99.4-3mx15+1)
     libzlui-gtk (0.99.4-3mx15+1)
     qpdfview-translations (0.4.17~beta1-1mx15+1)
     xxd (8.0.0003-1mx150+1)
  The following packages will be upgraded:
     amd64-microcode (3.20160316.2mx150+1 => 3.20171205.1~mx15)
     audacity (2.0.6-2 => 2.2.2-1~mx15+1)
     audacity-data (2.0.6-2 => 2.2.2-1~mx15+1)
     automake (1.14.1-4+deb8u1 => 1.15-6mx15+1)
     avahi-daemon (0.6.31-5 => 0.6.32-1mx15+1)
     base-files (8+deb8u10 => 8+deb8u11)
     bash-completion (2.1-4 => 2.1-4.3mx15+1)
     bleachbit (1.6-1mx150+1 => 2.0-2~mx15+1)
     blender (2.72.b+dfsg0-3 => 2.78a-1mx15+1)
     blender-data (2.72.b+dfsg0-3 => 2.74+dfsg0-4mx150+1)
     cabextract (1.4-5 => 1.6-1mx15+1)
     cups (1.7.5-11+deb8u2 => 2.2.1-8mx15+1)
     cups-bsd (1.7.5-11+deb8u2 => 2.2.1-8mx15+1)
     cups-client (1.7.5-11+deb8u2 => 2.2.1-8mx15+1)
     cups-common (1.7.5-11+deb8u2 => 2.2.1-8mx15+1)
     cups-core-drivers (1.7.5-11+deb8u2 => 2.2.1-8mx15+1)
     cups-daemon (1.7.5-11+deb8u2 => 2.2.1-8mx15+1)
     cups-ppdc (1.7.5-11+deb8u2 => 2.2.1-8mx15+1)
     cups-server-common (1.7.5-11+deb8u2 => 2.2.1-8mx15+1)
     dbus (1.8.22-0+deb8u1 => 1.10.26-0+deb9u1~mx15+1)
     dbus-x11 (1.8.22-0+deb8u1 => 1.10.26-0+deb9u1~mx15+1)
     deluge (1.3.10-3+deb8u1 => 1.3.13-1mx150+1)
     deluge-common (1.3.10-3+deb8u1 => 1.3.13-1mx150+1)
     deluge-gtk (1.3.10-3+deb8u1 => 1.3.13-1mx150+1)
     dns-root-data (2017072601~deb8u1 => 2017072601~deb8u2)
     dpkg (1.17.27 => 1.18.23mx15+1)
     dpkg-dev (1.17.27 => 1.18.23mx15+1)
     extlinux (6.03+dfsg-5+deb8u2 => 6.03+git20161205-0)
     fbreader (0.12.10dfsg-9.1+b1 => 0.99.4-3mx15+1)
     file (5.22+15-2+deb8u3 => 5.22+15-2+deb8u4)
     firefox (60.0.2~mozillabinaries-1mx15+1 => 61.0~mozillabinaries-1mx15+1)
     firefox-esr (52.8.1esr-1~deb8u1 => 52.9.0esr-1~deb8u1)
     flac (1.3.0-3 => 1.3.2-1mx15+1)
     fotoxx (17.04.2-1mx15+1 => 17.08.3-0mx15+1)
     fusion-icon (0.2.2-0mx15+1 => 0.2.4-0mx15+1)
     ghostscript (9.06~dfsg-2+deb8u6 => 9.06~dfsg-2+deb8u7)
     ghostscript-x (9.06~dfsg-2+deb8u6 => 9.06~dfsg-2+deb8u7)
     gimp (2.8.18-0mx150+2 => 2.8.22-0mx15+1)
     gimp-data (2.8.18-0mx150+2 => 2.8.22-0mx15+1)
     gir1.2-appindicator3-0.1 (0.4.92-3.1 => 0.4.92-4mx15+1)
     gir1.2-javascriptcoregtk-3.0 (2.4.11-2mx150+1 => 2.4.11-3mx15+1)
     gir1.2-webkit-3.0 (2.4.11-2mx150+1 => 2.4.11-3mx15+1)
     grub-customizer (5.0.6-1mx150+1 => 5.0.7-1~mx15+1)
     gsmartcontrol (0.8.7-1.1 => 1.1.3-1~mx15+1)
     hplip (3.16.11+repack0-1mx15+1 => 3.17.6+repack0-1mx15+1)
     hplip-data (3.16.11+repack0-1mx15+1 => 3.17.6+repack0-1mx15+1)
     imagemagick (6.8.9.9-5+deb8u12 => 6.8.9.9-5+deb8u13)
     imagemagick-6.q16 (6.8.9.9-5+deb8u12 => 6.8.9.9-5+deb8u13)
     imagemagick-common (6.8.9.9-5+deb8u12 => 6.8.9.9-5+deb8u13)
     intel-microcode (3.20180123really20171117.1+mx15 => 3.20180425.1~deb8u1)
     lame (3.99.5+repack1-7+deb8u1 => 3.99.5+repack1-7+deb8u2)
     libappindicator1 (0.4.92-3.1 => 0.4.92-4mx15+1)
     libappindicator3-1 (0.4.92-3.1 => 0.4.92-4mx15+1)
     libavahi-client3 (0.6.31-5 => 0.6.32-1mx15+1)
     libavahi-common-data (0.6.31-5 => 0.6.32-1mx15+1)
     libavahi-common3 (0.6.31-5 => 0.6.32-1mx15+1)
     libavahi-core7 (0.6.31-5 => 0.6.32-1mx15+1)
     libavahi-glib1 (0.6.31-5 => 0.6.32-1mx15+1)
     libcups2 (1.7.5-11+deb8u2 => 2.2.1-8mx15+1)
     libcupscgi1 (1.7.5-11+deb8u2 => 2.2.1-8mx15+1)
     libcupsimage2 (1.7.5-11+deb8u2 => 2.2.1-8mx15+1)
     libcupsmime1 (1.7.5-11+deb8u2 => 2.2.1-8mx15+1)
     libcupsppdc1 (1.7.5-11+deb8u2 => 2.2.1-8mx15+1)
     libdbus-1-3 (1.8.22-0+deb8u1 => 1.10.26-0+deb9u1~mx15+1)
     libdbus-1-3:i386 (1.8.22-0+deb8u1 => 1.10.26-0+deb9u1~mx15+1)
     libdpkg-perl (1.17.27 => 1.18.23mx15+1)
     libdrm-amdgpu1 (2.4.70-1mx150+1 => 2.4.74-1mx150+1)
     libdrm-intel1 (2.4.70-1mx150+1 => 2.4.74-1mx150+1)
     libdrm-nouveau2 (2.4.70-1mx150+1 => 2.4.74-1mx150+1)
     libdrm-radeon1 (2.4.70-1mx150+1 => 2.4.74-1mx150+1)
     libdrm2 (2.4.70-1mx150+1 => 2.4.74-1mx150+1)
     libegl1-mesa (12.0.3-1mx150+1 => 13.0.6-1mx150+1)
     libexiv2-13 (0.24-4.1 => 0.24-4.1+deb8u1)
     libfaad2 (2.7-8 => 2.7-8+deb8u1)
     libflac++6 (1.3.0-3 => 1.3.2-1mx15+1)
     libflac8 (1.3.0-3 => 1.3.2-1mx15+1)
     libflac8:i386 (1.3.0-3 => 1.3.2-1mx15+1)
     libgbm1 (12.0.3-1mx150+1 => 13.0.6-1mx150+1)
     libgcrypt20 (1.6.3-2+deb8u4 => 1.7.6-1~mx15+1)
     libgcrypt20:i386 (1.6.3-2+deb8u4 => 1.7.6-1~mx15+1)
     libgimp2.0 (2.8.18-0mx150+2 => 2.8.22-0mx15+1)
     libgl1-mesa-dri (12.0.3-1mx150+1 => 13.0.6-1mx150+1)
     libgl1-mesa-glx (12.0.3-1mx150+1 => 13.0.6-1mx150+1)
     libglapi-mesa (12.0.3-1mx150+1 => 13.0.6-1mx150+1)
     libgles1-mesa (12.0.3-1mx150+1 => 13.0.6-1mx150+1)
     libgles2-mesa (12.0.3-1mx150+1 => 13.0.6-1mx150+1)
     libgphoto2-6 (2.5.10-3mx15+1 => 2.5.12-1mx15+1)
     libgphoto2-6:i386 (2.5.10-3mx15+1 => 2.5.12-1mx15+1)
     libgphoto2-port12 (2.5.10-3mx15+1 => 2.5.12-1mx15+1)
     libgphoto2-port12:i386 (2.5.10-3mx15+1 => 2.5.12-1mx15+1)
     libgpod4 (0.8.3-1.1+b1 => 0.8.3-8mx15+1)
     libgs9 (9.06~dfsg-2+deb8u6 => 9.06~dfsg-2+deb8u7)
     libgs9-common (9.06~dfsg-2+deb8u6 => 9.06~dfsg-2+deb8u7)
     libhpmud0 (3.16.11+repack0-1mx15+1 => 3.17.6+repack0-1mx15+1)
     libid3tag0 (0.15.1b-11 => 0.15.1b-12mx15+1)
     libimage-magick-perl (6.8.9.9-5+deb8u12 => 6.8.9.9-5+deb8u13)
     libimage-magick-q16-perl (6.8.9.9-5+deb8u12 => 6.8.9.9-5+deb8u13)
     libjavascriptcoregtk-1.0-0 (2.4.11-2mx150+1 => 2.4.11-3mx15+1)
     libjavascriptcoregtk-3.0-0 (2.4.11-2mx150+1 => 2.4.11-3mx15+1)
     libjpeg62-turbo (1.3.1-12 => 1.5.1-2mx15+1)
     libjpeg62-turbo:i386 (1.3.1-12 => 1.5.1-2mx15+1)
     libldap-2.4-2 (2.4.40+dfsg-1+deb8u3 => 2.4.40+dfsg-1+deb8u4)
     libldap-2.4-2:i386 (2.4.40+dfsg-1+deb8u3 => 2.4.40+dfsg-1+deb8u4)
     libmagic1 (5.22+15-2+deb8u3 => 5.22+15-2+deb8u4)
     libmagickcore-6.q16-2 (6.8.9.9-5+deb8u12 => 6.8.9.9-5+deb8u13)
     libmagickwand-6.q16-2 (6.8.9.9-5+deb8u12 => 6.8.9.9-5+deb8u13)
     libmp3lame0 (3.99.5+repack1-7+deb8u1 => 3.99.5+repack1-7+deb8u2)
     libmp3lame0:i386 (3.99.5+repack1-7+deb8u1 => 3.99.5+repack1-7+deb8u2)
     libncurses5 (5.9+20140913-1+deb8u2 => 5.9+20140913-1+deb8u3)
     libncurses5:i386 (5.9+20140913-1+deb8u2 => 5.9+20140913-1+deb8u3)
     libncursesw5 (5.9+20140913-1+deb8u2 => 5.9+20140913-1+deb8u3)
     libplank-common (0.10.1-1mx150+1 => 0.11.2-1mx150+1)
     libsane-hpaio (3.16.11+repack0-1mx15+1 => 3.17.6+repack0-1mx15+1)
     libsoundtouch0 (1.8.0-1 => 1.8.0-1+deb8u1)
     libtinfo5 (5.9+20140913-1+deb8u2 => 5.9+20140913-1+deb8u3)
     libtinfo5:i386 (5.9+20140913-1+deb8u2 => 5.9+20140913-1+deb8u3)
     libtool (2.4.2-1.11 => 2.4.6-2mx15+1)
     libtorrent-rasterbar9 (1.1.4+git20170719-0mx15+1 => 1.1.7+git20180527.6ec6c1b340+patched-configure1-1~mx15+1)
     libwayland-egl1-mesa (12.0.3-1mx150+1 => 13.0.6-1mx150+1)
     libwebkitgtk-1.0-0 (2.4.11-2mx150+1 => 2.4.11-3mx15+1)
     libwebkitgtk-3.0-0 (2.4.11-2mx150+1 => 2.4.11-3mx15+1)
     libxatracker2 (12.0.3-1mx150+1 => 13.0.6-1mx150+1)
     libzlcore-data (0.12.10dfsg-9.1 => 0.99.4-3mx15+1)
     libzltext-data (0.12.10dfsg-9.1 => 0.99.4-3mx15+1)
     mx-bootrepair (18.6 => 18.6.2)
     mx-codecs (18.6 => 18.6.1)
     mx-menu-editor (18.6 => 18.6.1)
     mx-packageinstaller (18.6 => 18.6.2)
     mx-remastercc (18.6.2 => 18.6.3)
     mx-repo-manager (18.6 => 18.6.2)
     mx-snapshot (18.6 => 18.6.1)
     mx-switchuser (17.6 => 18.6)
     mx-tools (18.6 => 18.6.1)
     mx-user (18.6.1 => 18.6.2)
     ncurses-base (5.9+20140913-1+deb8u2 => 5.9+20140913-1+deb8u3)
     ncurses-bin (5.9+20140913-1+deb8u2 => 5.9+20140913-1+deb8u3)
     ncurses-term (5.9+20140913-1+deb8u2 => 5.9+20140913-1+deb8u3)
     ndiswrapper-dkms (1.61-0mx15+2 => 1.61-0mx15+3)
     netselect (0.3.ds1-26 => 0.3.ds1-28mx15+1)
     netselect-apt (0.3.ds1-26 => 0.3.ds1-28mx15+1)
     opera-stable (53.0.2907.99 => 54.0.2952.41)
     p7zip (9.20.1~dfsg.1-4.1+deb8u3 => 16.02-0mx15+1)
     p7zip-full (9.20.1~dfsg.1-4.1+deb8u3 => 16.02-0mx15+1)
     papirus-gtk-icon-theme (2016.11.14-1mx15+1 => 20170309-1mx15+1)
     patch (2.7.5-1 => 2.7.5-1+deb8u1)
     peg-e (1.2.1-0mx150+1 => 1.2.4-0.1~mx15+1)
     plank (0.10.1-1mx150+1 => 0.11.2-1mx150+1)
     printer-driver-hpcups (3.16.11+repack0-1mx15+1 => 3.17.6+repack0-1mx15+1)
     printer-driver-hpijs (3.16.11+repack0-1mx15+1 => 3.17.6+repack0-1mx15+1)
     printer-driver-postscript-hp (3.16.11+repack0-1mx15+1 => 3.17.6+repack0-1mx15+1)
     python-appindicator (0.4.92-3.1 => 0.4.92-4mx15+1)
     python-libtorrent (1.1.4+git20170719-0mx15+1 => 1.1.7+git20180527.6ec6c1b340+patched-configure1-1~mx15+1)
     qpdfview (0.4.14-1mx150+1 => 0.4.17~beta1-1mx15+1)
     qpdfview-djvu-plugin (0.4.14-1mx150+1 => 0.4.17~beta1-1mx15+1)
     qpdfview-ps-plugin (0.4.14-1mx150+1 => 0.4.17~beta1-1mx15+1)
     recoll (1.17.3-2 => 1.23.7-1~mx15+1)
     shotwell (0.24.1-0mx15+1 => 0.24.5-0mx15+1)
     shotwell-common (0.24.1-0mx15+1 => 0.24.5-0mx15+1)
     simple-ccsm (0.8.12-0mx15+1 => 0.8.14.1-0mx15+1)
     smplayer (18.5.0-0.1~mx15+1 => 18.6.0-0.1~mx15+1)
     syslinux (6.03+dfsg-5+deb8u2 => 6.03+git20161205-0)
     syslinux-common (6.03+dfsg-5+deb8u2 => 6.03+git20161205-0)
     syslinux-utils (6.03+dfsg-5+deb8u2 => 6.03+git20161205-0)
     tar (1.27.1-2+deb8u1 => 1.29b-1~bpo8+1mx15+1)
     transmission-common (2.92-0mx150+1 => 2.94-1~mx15+1)
     transmission-gtk (2.92-0mx150+1 => 2.94-1~mx15+1)
     unetbootin (608-1 => 655-1mx15+1)
     usbmuxd (1.0.8+git20140527.e72f2f7-2 => 1.1.0-2mx15+1)
     vim-common (7.4.488-7+deb8u3 => 8.0.0003-1mx150+1)
     vim-tiny (7.4.488-7+deb8u3 => 8.0.0003-1mx150+1)
     wine-staging-amd64 (2.21-1mx15+2 => 3.11-1~mx15+1)
     wine-staging-dbg (2.21-1mx15+2 => 3.11-1~mx15+1)
     wine-staging-dev (2.21-1mx15+2 => 3.11-1~mx15+1)
     wine-staging-i386:i386 (2.21-1mx15+2 => 3.11-1~mx15+1)
     xfburn (0.5.2-1mx150+1 => 0.5.4-1mx15+1)
     xfce4-settings (4.12.1-1mx150+1 => 4.12.3-1~mx15+1)
     xfce4-terminal (0.6.2-4mx150+1 => 0.8.0-1mx150+1)
     xfdesktop4 (4.12.2-1mx150+1 => 4.12.3-3mx15+1)
     xfdesktop4-data (4.12.2-1mx150+1 => 4.12.3-3mx15+1)
     xscreensaver (5.38-0mx15+1 => 5.39-0.1~mx15+1)
     xscreensaver-data (5.38-0mx15+1 => 5.39-0.1~mx15+1)
     xserver-xorg-video-ati (7.7.0-1mx150+1 => 7.8.0-1mx150+1)
     xserver-xorg-video-intel (2.99.917-2mx150+1 => 2.99.917+git20161105-1mx150+1)
     xserver-xorg-video-nouveau (1.0.12-2mx150+1 => 1.0.13-1mx150+1)
     xserver-xorg-video-radeon (7.7.0-1mx150+1 => 7.8.0-1mx150+1)
     xterm (312-2 => 327-2mx150+1)
  186 upgraded, 18 newly installed, 4 to remove and 0 not upgraded.
  Need to get 498 MB of archives.
  After this operation, 43.9 MB disk space will be freed.

User avatar
timkb4cq
Forum Veteran
Forum Veteran
Posts: 4354
Joined: Wed Jul 12, 2006 4:05 pm

Re: changes to repos: mepis-deb.org is gone

#14 Post by timkb4cq » Sat Jun 30, 2018 10:32 pm

You definitely have the MX Test repo enabled. That's not recommended for regular updates, and it's why you're showing so many.
MSI 970A-G43 MB, AMD FX-6300 (six core), 16GB RAM, GeForce 730, Samsung 850 EVO 250GB SSD, Seagate Barracuda XT 3TB

User avatar
colin_b
Forum Regular
Forum Regular
Posts: 314
Joined: Sun Mar 19, 2017 7:21 pm

Re: changes to repos: mepis-deb.org is gone

#15 Post by colin_b » Sat Jun 30, 2018 10:58 pm

timkb4cq wrote:
Sat Jun 30, 2018 10:32 pm
You definitely have the MX Test repo enabled.
You're right. I have no idea how this happened, but happen it has :confused:

I have done another package check with the test repo disabled and the number of packages is down to a more sensible 49.

Thanks for the info.

Post Reply

Return to “General”